import javax.swing.JOptionPane;             //加载类JoptionPane
public class ch0213{
public static void main(String args[])
  {
       String firstNumber,              //由用户输入的第一个字符串
              secondNumber;             //由用户有输入第二个字符串
       int number1,                     //相加的第一个数值
           number2,                     //第二个相加的数值
           sum;                         //number1和number2相加之和
                                        //由用户输入作为字符串类型的第一个数值
firstNumber=
   JOptionPane.showInputDialog("Enter first integer");
  /*由用户输入作为字符串的第二个数值,使用JoptionPane类的showInputDialog方法*/
secondNumber=
   JOptionPane.showInputDialog("Enter second integer");

//使用预定义Integer类的parseInt方法,把数值从字符串类型转换成整型
number1=Integer.parseInt(firstNumber);
number2=Integer.parseInt(secondNumber);

sum=number1+number2;
                        //程序调用JoptionPane.showInputDialog方法输出结果
        JOptionPane.showMessageDialog(
null,"The sum is  "+sum,"Results",
JOptionPane.PLAIN_MESSAGE);
                                  //结束应用程序
    System.exit(0);
   }
 }
